Package oasis.names.tc.saml._2_0.assertion

# Class SubjectLocality

java.lang.Object
oasis.names.tc.saml._2_0.assertion.SubjectLocality

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SubjectLocality extends Object implements Serializable

Java class for SubjectLocalityType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubjectLocalityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="Address" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="DNSName" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubjectLocality()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  Gets the value of the address property.
  `String`
  `getDNSName()`
  Gets the value of the dnsName property.
  `void`
  `setAddress(String value)`
  Sets the value of the address property.
  `void`
  `setDNSName(String value)`
  Sets the value of the dnsName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubjectLocality

    public SubjectLocality()

- ## Method Details

  - ### getAddress

    public String getAddress()
    Gets the value of the address property.
    Returns:
      possible object is `String`

  - ### setAddress

    public void setAddress(String value)
    Sets the value of the address property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDNSName

    public String getDNSName()
    Gets the value of the dnsName property.
    Returns:
      possible object is `String`

  - ### setDNSName

    public void setDNSName(String value)
    Sets the value of the dnsName property.
    Parameters:
      `value` - allowed object is `String`